#include "credit.h"

double Credit::credit_with_decreasing(double number, double amount, double percentage, double years){
	double result = 0;
	double temp = 1 + (years*12 - number + 1)*(percentage/100);
	result = (amount/(years*12))*temp;
	return result;
}

double Credit::credit_with_const(double amount, double percentage, double years){
	// rata = S * pow(q,n) * (q-1)/(pow(q,n)-1)
	double result = 0;
	double count = years * 12;
	double q = 1 + ((percentage/100)/12);
	result = amount * pow(q,count) * (q-1)/(pow(q,count)-1);
	return result;
}
