# Create your views here.
from django.shortcuts import render_to_response
from django.template import RequestContext
from django.http import HttpResponse
import json
import credit_py.views


def index(request):
    return render_to_response('index.html', {}, context_instance=RequestContext(request))


def ajax(request, amount, years, percentage, type_credit):
    try:
        result_json = []
        if type_credit == "const":
            installment = \
                credit_py.views.calc_const_credit(float(amount),
                                  float(percentage),
                                  float(years))
            
            count_inst = 12 * int(years)
            for x in range(1, count_inst + 1):
                installment = "{0:.2f}".format(float(installment))
                result_json.append({'number': x,
                                    'pay': installment})
        else:
            count_inst = 12 * int(years)
            
            for x in range(1, count_inst + 1):
                installment = \
                    credit_py.views.\
                        calc_decreasing_credit(float(x), float(amount),
                                  float(percentage),
                                  float(years))
                installment = "{0:.2f}".format(float(installment))
                result_json.append({'number': x,
                                    'pay': installment})
        data = json.dumps(result_json)
        return HttpResponse(data, content_type='application/json')
    except Exception, e:
        print e
        return render_to_response('index.html', {}, context_instance=RequestContext(request))



